Bug 811759 - Review Request: python-tw2-excanvas - Excanvas for ToscaWidgets2
Summary: Review Request: python-tw2-excanvas - Excanvas for ToscaWidgets2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 720818
Blocks: 812059 818293
TreeView+ depends on / blocked
 
Reported: 2012-04-11 22:23 UTC by Ralph Bean
Modified: 2014-11-13 16:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-22 15:39:50 UTC
Type: ---
tcallawa: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2012-04-11 22:23:32 UTC
Spec URL: http://threebean.org/rpm/python-tw2-excanvas.spec
SRPM URL: http://threebean.org/rpm/python-tw2-excanvas-2.0.0-1.fc17.src.rpm
Description:  Simple excanvas wrapper for ToscaWidgets2

----

This package depends on python-tw2-core which is currently up for review - https://bugzilla.redhat.com/show_bug.cgi?id=720818

Comment 1 Ralph Bean 2012-04-30 22:03:23 UTC
Updated to make some changes I learned from my last package review.

Spec URL: http://threebean.org/rpm/python-tw2-excanvas.spec
SRPM URL: http://threebean.org/rpm/python-tw2-excanvas-2.0.0-2.fc17.src.rpm

koji scratch builds fail only because python-tw2-core is still in
updates-testing.  If you add updates-testing to your mock config, fedora-review
should be able to run just fine.

Comment 2 Ralph Bean 2012-05-02 18:35:35 UTC
Upstream version bump to include proper LICENSE file.

Spec URL: http://threebean.org/rpm/python-tw2-excanvas.spec
SRPM URL: http://threebean.org/rpm/python-tw2-excanvas-2.0.1-1.fc17.src.rpm

Comment 3 Tom "spot" Callaway 2012-05-02 18:37:10 UTC
== REVIEW ==

Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (MIT) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 
- %check okay

APPROVED.

Comment 4 Ralph Bean 2012-05-02 18:44:02 UTC
New Package SCM Request
=======================
Package Name: python-tw2-excanvas
Short Description: Excanvas for ToscaWidgets2
Owners: ralph
Branches: f17 el6
InitialCC:

Comment 5 Gwyn Ciesla 2012-05-03 13:12:50 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-05-03 14:47:51 UTC
python-tw2-excanvas-2.0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-excanvas-2.0.2-1.fc17

Comment 7 Fedora Update System 2012-05-03 17:12:09 UTC
python-tw2-excanvas-2.0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-excanvas-2.0.2-1.el6

Comment 8 Fedora Update System 2012-05-04 03:12:03 UTC
python-tw2-excanvas-2.0.2-1.fc17 has been pushed to the Fedora 17 testing repository.

Comment 9 Fedora Update System 2012-05-22 15:39:50 UTC
python-tw2-excanvas-2.0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 10 Fedora Update System 2012-05-26 06:56:10 UTC
python-tw2-excanvas-2.0.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 11 Ralph Bean 2014-11-13 03:52:37 UTC
Package Change Request
======================
Package Name: python-tw2-excanvas
New Branches: epel7
Owners: ralph
InitialCC:

Comment 12 Gwyn Ciesla 2014-11-13 16:36:19 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.